import {request} from '@/utils/request.js'

export function getChecklistHazardRecordView(recordId) {
  return request({
    url: `/checklist/hazard/record/view/${recordId}`,
    method: 'GET'
  })
}

export function initChecklistHazardRecordView(data) {
  return request({
    url: '/checklist/hazard/record/init',
    method: 'POST',
    data
  })
}
export function getChecklistHazardRecordById(recordId, checklistId, hazardId, riskId, measureId) {
  return request({
    url: `/checklist/hazard/record/${recordId}/${checklistId}/${hazardId}/${riskId}/${measureId}`,
    method: 'GET'
  })
}